CREATE TABLE adf_extensible_table (
    TABLE_NAME                   VARCHAR2(120)     NOT NULL,
    APPLICATION_ID               VARCHAR2(120)     NOT NULL,
    CONTEXT_COLUMN_NAME          VARCHAR2(120) ,
    TABLE_ID                     NUMBER(18, 0) ,
    PARENT_ENTITYDEF_FULLNAME    VARCHAR2(960) ,
    CUSTOM_OBJECT_TABLE          VARCHAR2(4)   ,
    PARENT_ID_COLUMN_NAME        VARCHAR2(120) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    SANDBOX_NAME                 VARCHAR2(3200),
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    TABLE_NAME                   VARCHAR2(120)     NOT NULL,
    APPLICATION_ID               VARCHAR2(120)     NOT NULL,
    CONTEXT_COLUMN_NAME          VARCHAR2(120) ,
    TABLE_ID                     NUMBER(18, 0) ,
    PARENT_ENTITYDEF_FULLNAME    VARCHAR2(960) ,
    CUSTOM_OBJECT_TABLE          VARCHAR2(4)   ,
    PARENT_ID_COLUMN_NAME        VARCHAR2(120) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    SANDBOX_NAME                 VARCHAR2(3200),
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_adf_extensible_table PRIMARY KEY (TABLE_ID, TABLE_ID)
);
